Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query.larq
Class IndexBuilderSubject

    java.lang.Object
      com.hp.hpl.jena.rdf.listeners.StatementListener
          com.hp.hpl.jena.query.larq.IndexBuilderModel
              com.hp.hpl.jena.query.larq.IndexBuilderSubject

All Implemented Interfaces:
  com.hp.hpl.jena.rdf.model.ModelChangedListener

    public class IndexBuilderSubject

extends IndexBuilderModel

Class for indexing by subject (i.e. index is a literal and the index returns the subject). Often the application can provide an additional property to further restrict what gets indexed.

Author:
  Andy Seaborne

Constructor Summary
`IndexBuilderSubject()`
`IndexBuilderSubject(java.io.File fileDir)`
`IndexBuilderSubject(org.apache.lucene.index.IndexWriter existingWriter)`
`IndexBuilderSubject(com.hp.hpl.jena.rdf.model.Property p)`
`IndexBuilderSubject(com.hp.hpl.jena.rdf.model.Property p, java.io.File fileDir)`
`IndexBuilderSubject(com.hp.hpl.jena.rdf.model.Property p, org.apache.lucene.index.IndexWriter existingWriter)`
`IndexBuilderSubject(com.hp.hpl.jena.rdf.model.Property p, java.lang.String fileDir)`
`IndexBuilderSubject(java.lang.String fileDir)`

Method Summary
`void` | `indexStatement(com.hp.hpl.jena.rdf.model.Statement s)` Update index based on one statement
`void` | `unindexStatement(com.hp.hpl.jena.rdf.model.Statement s)` Remove index information

Methods inherited from class com.hp.hpl.jena.query.larq.IndexBuilderModel
`addedStatement, closeForWriting, closeWriter, flushWriter, getIndex, indexStatements, removedStatement`

Methods inherited from class com.hp.hpl.jena.rdf.listeners.StatementListener
`addedStatements, addedStatements, addedStatements, addedStatements, notifyEvent, removedStatements, removedStatements, removedStatements, removedStatements`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexBuilderSubject

    public IndexBuilderSubject()

### IndexBuilderSubject

    public IndexBuilderSubject(org.apache.lucene.index.IndexWriter existingWriter)

### IndexBuilderSubject

    public IndexBuilderSubject(java.io.File fileDir)

### IndexBuilderSubject

    public IndexBuilderSubject(java.lang.String fileDir)

### IndexBuilderSubject

    public IndexBuilderSubject(com.hp.hpl.jena.rdf.model.Property p)

### IndexBuilderSubject

    public IndexBuilderSubject(com.hp.hpl.jena.rdf.model.Property p,
                               org.apache.lucene.index.IndexWriter existingWriter)

### IndexBuilderSubject

    public IndexBuilderSubject(com.hp.hpl.jena.rdf.model.Property p,
                               java.io.File fileDir)

### IndexBuilderSubject

    public IndexBuilderSubject(com.hp.hpl.jena.rdf.model.Property p,
                               java.lang.String fileDir)

Method Detail

### unindexStatement

    public void unindexStatement(com.hp.hpl.jena.rdf.model.Statement s)

  Description copied from class: `IndexBuilderModel`
  Remove index information

  Overrides:
    `unindexStatement` in class `IndexBuilderModel`

### indexStatement

    public void indexStatement(com.hp.hpl.jena.rdf.model.Statement s)

  Description copied from class: `IndexBuilderModel`
  Update index based on one statement

  Specified by:
    `indexStatement` in class `IndexBuilderModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP